#!/bin/bash

SCRIPT_DIR=`dirname $BASH_SOURCE`
BASE=${SCRIPT_DIR}/..

DIR=/tmp
rm -rf $DIR/sng $DIR/omp
mkdir $DIR/sng $DIR/omp

(cd $BASE; (make clean > /dev/null); (./configure --disable-openmp > /dev/null); grep HAVE_OPEN config.h; (make -j 20 > /dev/null); cp tools/ctsimtext src/ctsim $DIR/sng/.)
(cd $BASE; (make clean > /dev/null); (./configure --enable-openmp > /dev/null); grep HAVE_OPEN config.h; (make -j 20 > /dev/null); cp tools/ctsimtext src/ctsim $DIR/omp/.)
